Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io
Class InvalidSequenceTypeParserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.man.bioinf.io.ParserException
                              |
                              +--uk.ac.man.bioinf.io.InvalidSequenceTypeParserException

All Implemented Interfaces:
  Serializable

public class InvalidSequenceTypeParserException
extends ParserException

This exception is cast when there is a mismatch of sequence types when dealing with parsers. Created: Tue Aug 8 12:32:18 2000

Version:
  $Id: InvalidSequenceTypeParserException.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Julian Selley
See Also:
  Serialized Form

Constructor Summary
`InvalidSequenceTypeParserException()`
`InvalidSequenceTypeParserException(SequenceType st)`
`InvalidSequenceTypeParserException(String message)`
`InvalidSequenceTypeParserException(String message, SequenceType st)`

Method Summary
`SequenceType` | `getExpcetedSequenceType()` Returns the expected sequence type.

Methods inherited from class uk.ac.man.bioinf.io.ParserException
`getIdentifier, getPosition, getSequence`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSequenceTypeParserException

    public InvalidSequenceTypeParserException()

### InvalidSequenceTypeParserException

    public InvalidSequenceTypeParserException(String message)

### InvalidSequenceTypeParserException

    public InvalidSequenceTypeParserException(SequenceType st)

### InvalidSequenceTypeParserException

    public InvalidSequenceTypeParserException(String message,
                                              SequenceType st)

Method Detail

### getExpcetedSequenceType

    public SequenceType getExpcetedSequenceType()

  Returns the expected sequence type.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD